aboutsummaryrefslogtreecommitdiff
path: root/bin/fnl
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:06:39 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:46:47 +1200
commitc8ab406749124d2e762ad5cf53963070113afd0f (patch)
tree54c9721a06957ebe7098a211eea803b0230c0f5d /bin/fnl
parentHandle POSIX correctness in ~/.bash_profile (diff)
downloaddotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.tar.gz
dotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.zip
Apply runtime shebanging to POSIX shell
Diffstat (limited to 'bin/fnl')
-rwxr-xr-xbin/fnl21
1 files changed, 0 insertions, 21 deletions
diff --git a/bin/fnl b/bin/fnl
deleted file mode 100755
index 6969665b..00000000
--- a/bin/fnl
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/sh
-# Run a command and save its output and error to temporary files
-
-# Check we have at least one argument
-if [ "$#" -eq 0 ] ; then
- printf >&2 'fnl: Command needed\n'
- return 2
-fi
-
-# Create a temporary directory; note that we *don't* clean it up on exit
-dir=$(mktd fnl) || exit
-
-# Run the command; keep its exit status
-{ "$@" ; } >"$dir"/stdout 2>"$dir"/stderr
-ret=$?
-
-# Run wc(1) on each of the files
-wc -- "$dir"/*
-
-# Exit with the wrapped command's exit status
-exit "$ret"